slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSAllocate

Allocates memory for internal storage or matrices in DS.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSAllocate(DS ds,PetscInt ld)

Logically Collective

### Input Parameters

| ds | - the direct solver context
| ld | - leading dimension (maximum allowed dimension for the matrices, including the extra row if present)

### Note

If the leading dimension is different from a previously set value, then all matrices are destroyed with DSReset().

### See Also

DSGetLeadingDimension(), DSSetDimensions(), DSSetExtraRow(), DSReset()

### Level

intermediate

### Location

src/sys/classes/ds/interface/dsbasic.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages